読者です 読者をやめる 読者になる 読者になる

わすれっぽいきみえ

みらいのじぶんにやさしくしてやる

npmを使ってbowerをインストールするときに『npm ERR! cb() never called!』と表示されて失敗

node.js Twitter Bootstrap bower technology

タイトルの通り。

twitter bootstrapのgitリポジトリからcssとかを生成するのにbowerを使えってtwitter bootstrapのREADME.mdに書いてあるので、その通りにするためにbowerをインストールしようとしたらエラー吐いた。

$ npm install -g bower
npm http GET https://registry.npmjs.org/bower
npm ERR! cb() never called!
npm ERR! not ok code 0

調べてみたらNode.jsのv0.10.19にバグがあるとかで、v0.10.17までダウングレードすればいけるよ、とのことだった。(v0.10.18は使えない、とまで書かれてる)

私はNode.jsのパッケージ管理にnvmを使っていて、それでさっくりダウングレードしてnpm install -g bowerを実行したら、今度はすんなりbowerが入った。

issues(issues/2907issues/6263)で議論されているので、解決が待たれますね。

・・・ていうか、bowerはbootstrapインストールの一つの手段であって、別にgit cloneでもいいんじゃん・・・orz

参考リンク